API DocumentationShipments

Download a shipment document

GET
/api/manufacturer/v1/order/{orderId}/shipments/{shipmentId}/documents/{documentId}

Returns the decrypted file bytes with the stored content type.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

orderId*integer

ID of the order the shipment belongs to

Formatint64
shipmentId*string

ID of the shipment the document belongs to

Formatuuid
documentId*string

ID of the document to download

Formatuuid

Response Body

Document downloaded successfully

application/octet-stream
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/order/1/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Empty